import pygame

import driver

class GameOverState(driver.State):
    
    def __init__(self, driver, pgs):
        super(GameOverState, self).__init__(driver)
        self.pgs = pgs
        
        font = pygame.font.Font(None, 81)
        self.surface_gameover = font.render("GAME OVER", False,
                                            (255, 255, 255))
        self.go_x = self.driver.w / 2 - self.surface_gameover.get_width() / 2
        self.go_y = self.driver.h / 2 + 30
        
        smallfont = pgs.font
        self.surface_restart = smallfont.render(
            "Click to return to title", False, (255, 255, 255))
        self.restart_x = (self.driver.w / 2 -
            self.surface_restart.get_width() / 2)
        self.restart_y = self.driver.h - self.surface_restart.get_height() - 10

    def draw(self, screen):
        self.pgs.draw(screen)
        screen.blit(self.surface_gameover, (self.go_x, self.go_y))
        screen.blit(self.surface_restart, (self.restart_x, self.restart_y))

    def mouse(self, pos, button, pressed):
        if pressed:
            self.driver.pop()
